# $Id: kdebase.spec,v 1.115 2004/10/06 13:58:59 rexdieter Exp $

%define aurox_ver 10.1
%define rel 10

%define kdelibs_ver 6:%{version}
%define qt_ver 1:3.3.3
%define samba_ver 3.0

%define fontdir %{_datadir}/fonts/bitmap-fonts

## JAVA
# Conditional build:
# --without java
# --with java=/specify/path/to/java/bin
# Defaults if no --without java or --with java specified 
%define _without_java 1
%define java_default java-1.4.2
%if "%{?_without_java}" != "%{nil}"
%define java %{?_without_java} 
%else
%{!?_with_java:%define java --with-java=/usr/lib/jvm/%{java_default}}
%{!?_with_java:BuildRequires: %{java_default}-devel }
# User-specified java
%{?_with_java:%define java --with-java=%(echo %{_with_java} | sed -e s/.*=// )}
%endif

## gcc version in use? 
BuildRequires: gcc-c++
%define gcc_ver %(rpm -q --qf '%%{version}' gcc-c++ )
%if "%{gcc_ver}" >= "3.2.3"
%define pie 1
%endif

# non-themer/Bluecurve = 1
%define redhatify 1 
# kde-redhat mods/fixes
%define kde_redhatify 1
%define kappfinder 1 
%define pamservice kde
%define gdmsession KDE
%define is_release 2 

Summary: K Desktop Environment - core files
Name:	 kdebase
Group:	 User Interface/Desktops
Epoch:	 6
Version: 3.3.1
Release: %{aurox_ver}.aur.%{rel}
License: GPL
Url:	 http://www.kde.org/
Source:  ftp://ftp.kde.org/pub/kde/stable/3.3.1/src/kdebase-3.3.1.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%define theme %{name}
# kde/Keramik alternatives priority
%if "%{?redhatify}" != "1"
#%define priority 5 
#%define qtdir %(unset QTDIR ||:; source /etc/profile.d/qt.sh 2>/dev/null; echo ${QTDIR:-/usr/lib/qt-3.3} )
#Source1000: %{name}-qtrc
#Requires(post): themer >= 0:1.80
#Requires(postun): themer >= 0:1.80
%endif

Requires: qt >= %{qt_ver}
Requires: kdelibs >= %{kdelibs_ver}
Requires: libxml2 >= 2.5.11
Requires: /etc/X11/xdm/Xaccess /etc/X11/xdm/Xservers /etc/X11/xdm/Xwilling
Requires: /etc/X11/xdm/Xsession /etc/X11/xdm/Xsetup_0

### Optional items (for now) we don't want to make them mandatory -- Rex
## kio_fish support 
# Requires: openssh-clients
## For PDFinfo
# Requires: xpdf

Requires: desktop-backgrounds-basic
Requires(pre): fileutils sh-utils
Requires(post): fileutils sh-utils

%if "%{?redhatify}" == "1"
Requires: redhat-artwork >= 0:0.92
Obsoletes: keramik-default < 0:%{version}-%{release}
%endif

BuildRequires: qt-devel >= %{qt_ver}
BuildRequires: kdelibs-devel >= %{kdelibs_ver}
BuildRequires: libtool
%if "%{is_release}" != "1"
BuildRequires: autoconf >= 2.53 
BuildRequires: automake >= 1.6 
%endif
BuildRequires: libxml2-devel >= 2.5.11
BuildRequires: openmotif-devel >= 2.2
#Let rpm auto-detect -- Rex
#Requires:      openmotif >= 2.2
BuildRequires: samba >= %{samba_ver} 
BuildRequires: pam-devel
BuildRequires: gettext
BuildRequires: perl
BuildRequires: openssl-devel
BuildRequires: openldap-devel
BuildRequires: freetype-devel
BuildRequires: libvorbis-devel >= 1:1.1.0
BuildRequires: pkgconfig
BuildRequires: lm_sensors-devel
BuildRequires: jasper-devel
BuildRequires: libraw1394-devel

Obsoletes: kio_fish
Provides:  kio_fish

Obsoletes: %{name}2
Obsoletes: kdebase-3d-screensavers < %{epoch}:%{version}-%{release}
Obsoletes: kdebase-lowcolor-icons < %{epoch}:%{version}-%{release}

## FYI, these have been a *huge* PITA -- Rex
# .../applnk/.../lanbrowser.desktop conflict with kdenetwork-3.0.5a -- Rex
#Conflicts: lisa < 7:3.1
#Conflicts: kdenetwork < 7:3.1
# ../applications/kde-battery.desktop (and others) conflict with kdeutils-laptop-3.0.3 -- Rex
#Conflicts: kdeutils-laptop < 6:3.1
# ../applications-kde-kcmkxmlrpcd.desktop conclits with kxmlrpcd-3.0.3 -- Rex
#Conflicts: kxmlrpcd < 7:3.1 
# kdepasswd moved from kdeutils-3.2
Conflicts: kdeutils < 6:3.3

Source1: konsole.desktop 
Source2: KDE.session.gnome 
Source3: kde.desktop 
Source4: kde-aurox-config-3.3-1.tar.bz2 
Source5: kde-np
Source7: mailsettings.cc 
Source9: start-here.png 
Source13: kcmnspluginrc 
Source22: energybig.png 

## kde-redhat Sources

Patch0: kde-libtool.patch
##Patch1: kdebase-3.3.1-redhat.patch
#Patch2: kdebase-3.2.3-menu.patch
Patch1: kdebase-3.2.3-pam-console.patch
Patch3: kdebase-3.1.93-vroot.patch
Patch4: kdebase-3.0-shortcuts.patch
Patch6: kdebase-3.2.0-motif.patch
Patch13: kdebase-3.1.95-config.patch
#Patch33: kdebase-3.1.93-monospace.patch
Patch33: kdebase-3.3.1-consolefont.patch
Patch40: kdebase-3.2.0-keymap.patch
Patch46: kdebase-3.1.93-aboutkde.patch
Patch48: kdebase-3.0.4-kdesukonsole.patch
Patch53: kdebase-3.1-ssl-krb5.patch
#Patch56: kde-libtool.patch
Patch57: kdebase-3.1-startpage.patch
Patch65: kdebase-3.1.1-usb.patch
Patch66: kdebase-3.3-klipper.patch
Patch67: kdebase-3.1.93-kdesktop.patch
Patch71: kdebase-3.1.3-konsole-double-esc.patch
Patch73: kdebase-3.1.93-starthere.patch
##Patch74: kdebase-3.2.92-kpersonalizer.patch
#Patch75: kdebase-3.2.0-selinux.patch
Patch76: kdebase-3.2.2-misc.patch
Patch77: kdebase-3.2.2-nedit.patch
Patch78: kdebase-3.2.2-urandom.patch
Patch79: kdebase-3.2.2-pie.patch
##Patch80: kdebase-3.2.92-logo.patch
Patch81: kdebase-3.2.2-konsole-setInputMethodEnabled-20040525.diff
Patch82: kdebase-3.3.0-klipper.patch
Patch83: kdebase-3.3.0-altf2.patch
Patch84: kdebase-3.3.0-kdm-patch

## kde-redhat patches 
Patch1000: kdebase-3.2.0-dm_sessions.patch
Patch1002: kdebase-3.1.3-xpdf.patch
# use 'kprinter -c' when printing from acroread
Patch1003: kdebase-3.2.3-acroread-print.patch
# http://bugs.kde.org/show_bug.cgi?id=80970
Patch1080: kdebase-3.3.0-kxkb.patch

Obsoletes: kdpms
Obsoletes: kapm
Obsoletes: kapmd
Obsoletes: kcmlaptop

%description
Core applications for the K Desktop Environment.  Included are: kdm
(replacement for xdm), kwin (window manager), konqueror (filemanager,
web browser, ftp client, ...), konsole (xterm replacement), kpanel
(application starter and desktop pager), kaudio (audio server),
kdehelp (viewer for kde help files, info and man pages), kthememgr
(system for managing alternate theme packages) plus other KDE
components (kcheckpass, kikbd, kscreensaver, kcontrol, kfind,
kfontmanager, kmenuedit).

%package devel
Summary: Development files for kdebase
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: kdelibs-devel >= %{kdelibs_ver}
Group: Development/Libraries
%description devel
Header files for developing applications using kdebase.
Install kdebase-devel if you want to develop or compile Konqueror,
Kate plugins or KWin styles.


%prep
%if "%{?is_release}" != "0"
%setup -q -n %{name}-%{version} 
%else
%setup -q -n %{name} 
%endif

#patch0 -p1 -b .libtool
##%patch1 -p1 -b .redhat
#%patch2 -p1 -b .redhat-menus
%patch1 -p1 -b .pam
%patch3 -p1 -b .vroot
%patch4 -p1 -b .short
# We want to link dynamically -- Rex
#%patch6 -p1 -b .staticmotif
# Not required (redhatify?) -- Rex
%patch13 -p1 -b .config
%patch33 -p1 -b .consolefont
%patch40 -p1 -b .keymap
%patch46 -p1 -b .aboutkde
%patch48 -p1 -b .kdesukonsole
# leave out, and see how it goes -- Rex
#patch53 -p1 -b .ssl-krb5
#Moved to patch0 -- Rex
#%patch56 -p1 -b .libtool
%patch57 -p1
%patch65 -p1 -b .usb
%patch66 -p1 -b .klipper
%patch67 -p1 -b .kdesktop
%patch71 -p1 -b .konsole
%patch73 -p1 -b .starthere
#%{?redhatify:%patch74 -p1 -b .kper}
##%patch75 -p1 -b .selinux
#patch76 -p1 -b .misc
%patch77 -p1 -b .nedit 
%patch78 -p1 -b .urandom
%{?pie:%patch79 -p1 -b .pie}
#%{?redhatify:%patch80 -p1 -b .logo}
%patch81 -p1 -b .im
%patch82 -p1 -b .klipper
# don't apply, fix in X/qt(immodule) instead
#patch83 -p1 -b .altf2
# not needed > 3.3.0
#patch84 -p1 -b .kdm

## kde-redhat patches
#patch1000 -p1 -b .dm_sessions
%patch1002 -p1 -b .xpdf
%patch1003 -p1 -b .acroread-print
%patch1080 -p1 -b .kxkb

%if "%{?kde_redhatify}" != "1" 
cp -a %{SOURCE1} konsole
cp -a %{SOURCE22} kcontrol/krdb/pics/energybig.png
cp -a %{SOURCE22} kcontrol/energy/pics/energybig.png
cp -a kcontrol/pics/cr32-app-energy.png kcontrol/krdb/pics/lo-energy.png
cp -a kcontrol/pics/cr32-app-energy.png kcontrol/energy/pics/lo-energy.png
cp -a kcontrol/pics/cr16-app-energy.png kcontrol/pics/cr16-app-energy_star.png
cp -a kcontrol/pics/cr32-app-energy.png kcontrol/pics/cr32-app-energy_star.png
cp -a kcontrol/pics/cr48-app-energy.png kcontrol/pics/cr48-app-energy_star.png
%endif

# set Konqueror version
perl -pi -e "s,^#define.*KONQUEROR_VERSION.*,#define KONQUEROR_VERSION \"%{version}-%{release} Aurox\"," konqueror/version.h

%if "%{is_release}" != "1"
make -f admin/Makefile.common cvs
%endif


%build
unset QTDIR || : ; . /etc/profile.d/qt.sh

FLAGS="-D_GNU_SOURCE"

# workaround on compiler bug
%ifarch s390
FLAGS="-O1 $FLAGS"
%else
FLAGS="$RPM_OPT_FLAGS $FLAGS"
%endif

export CXXFLAGS="$FLAGS"
export CFLAGS="$FLAGS"
export CPPFLAGS=
export LDFLAGS=

#if pkg-config openssl ; then
#   CFLAGS="$CFLAGS `pkg-config --cflags openssl`"
#   CXXFLAGS="$CXXFLAGS `pkg-config --cflags openssl`"
#   CPPFLAGS="$CPPFLAGS `pkg-config --cflags-only-I openssl`"
#   LDFLAGS="$LDFLAGS `pkg-config --libs-only-L openssl`"
#fi

%configure \
  --enable--qt-libraries=$QTDIR/lib \
  --with-extra-libs=%{_libdir} \
  --enable-final \
  --includedir=%{_includedir}/kde \
  --program-prefix="%{?_program_prefix}" \
  --disable-greet-lib \
  --includedir=%{_includedir}/kde \
  --with-extra-libs=%{_libdir} \
  --disable-rpath \
  --with-xdmdir=%{_sysconfdir}/X11/xdm \
  --with-motif-includes=/usr/X11R6/include \
  --with-motif-libraries=/usr/X11R6/%{_lib} \
  --with-pam=%{pamservice} \
  --with-xinerama \
  --with-cdparanoia \
  %{?debug:  --enable-debug --enable-warnings } \
  %{!?debug: --disable-dependency-tracking --disable-debug --disable-warnings --enable-final } \
  %{?java}

make %{?_smp_mflags} -C ksysguard
make %{?_smp_mflags}

# build mail setting tool
%{__cxx} $CXXFLAGS -o mailsettings %{SOURCE7}


%install
rm -rf $RPM_BUILD_ROOT

make install%{!?debug_package:-strip} DESTDIR=$RPM_BUILD_ROOT \
  RUN_KAPPFINDER=no 

install -m755 mailsettings $RPM_BUILD_ROOT%{_bindir}

# Fix up permissions on some things
chmod 755 $RPM_BUILD_ROOT%{_bindir}/kcheckpass
chmod 755 $RPM_BUILD_ROOT%{_bindir}/kdesud

## install pam configuration files
install -p -m644 -D kde.pamd   $RPM_BUILD_ROOT/etc/pam.d/%{pamservice}
%if 1
# kde-np (redhat's source)
install -p -m644 -D %{SOURCE5} $RPM_BUILD_ROOT/etc/pam.d/%{pamservice}-np
%else
# kde-np per http://bugs.kde.org/show_bug.cgi?id=68331
head -1 kde.pamd >> kde-np.pamd
echo "auth    sufficient   pam_permit.so" >> kde-np.pamd
grep -v "^#" kde.pamd >> kde-np.pamd
install -p -m644 kde-np.pamd $RPM_BUILD_ROOT/etc/pam.d/%{pamservice}-np
%endif

## fixup pam.d entries for possibly missing pam modules
## (timestamp < rh73, selinux < fc2)
pushd $RPM_BUILD_ROOT/etc/pam.d
for pam_svc in * ; do
  for pam_mod in pam_timestamp.so pam_selinux.so ; do
    if [ ! -x /lib/security/${pam_mod} ]; then
      grep -v $pam_mod $pam_svc > ${pam_cvs}.new && mv ${pam_cvs}.new $pam_svc
    fi
  done
done
popd

%if "%{?kappfinder}" != "1"
rm -rf $RPM_BUILD_ROOT%{_prefix}/*/kappfinder \
       $RPM_BUILD_ROOT%{_datadir}/applnk/System/kappfinder.desktop \
       $RPM_BUILD_ROOT%{_datadir}/apps/kappfinder
%endif

cat >>$RPM_BUILD_ROOT%{_sysconfdir}/kderc <<EOF
[General]
background=230,230,230
foreground=0,0,0
selectBackground=76,89,166
selectForeground=255,255,255
windowBackground=255,255,255
windowForeground=0,0,0
activeFont=Sans,10,-1,5,50,0,0,0,0,0
fixed=Monospace,10,-1,5,50,0,0,0,1,0
font=Sans,10,-1,5,50,0,0,0,0,0
menuFont=Sans,10,-1,5,50,0,0,0,0,0
taskbarFont=Sans,10,-1,5,50,0,0,0,0,0
toolBarFont=Sans,10,-1,5,50,0,0,0,0,0

#[Directories]
#dir_apps=/etc/X11/applnk

[DirWatch]
NFSPollInterval=5000
PollInterval=500
EOF

# Nuke man2html - we get it from man
find $RPM_BUILD_ROOT -name "man2html*" |xargs rm -rf

## font-handling, hope this works! (-: -- Rex
%if 1
  # moved to bitmap fonts package
  rm -rf $RPM_BUILD_ROOT%{_datadir}/fonts
%else
  # Remove conflict with XFree86
  rm -f $RPM_BUILD_ROOT%{_datadir}/fonts/9x15.pcf*

  mkdir -p $RPM_BUILD_ROOT%{fontdir}
  mv $RPM_BUILD_ROOT%{_datadir}/fonts/*pcf* \
     $RPM_BUILD_ROOT%{fontdir}/

  # Why do this? -- Rex
  # gunzip $RPM_BUILD_ROOT%{fontdir}/*.gz
  rm -rf $RPM_BUILD_ROOT%{_datadir}/fonts
%endif

# gdm(1) session support
install -p -D -m755 %{SOURCE2} $RPM_BUILD_ROOT/etc/X11/gdm/Sessions/%{gdmsession}
# gdm2/kdm(common) session support
install -p -D -m644 \
  $RPM_BUILD_ROOT%{_datadir}/apps/kdm/sessions/kde.desktop \
  $RPM_BUILD_ROOT%{_datadir}/xsessions/kde.desktop

# install config files
pushd $RPM_BUILD_ROOT
tar xjf %{SOURCE4}

mv etc/skel/kde etc/skel/.kde
find etc/skel/.kde -type f |xargs chmod 0644
find etc/skel/.kde -type d |xargs chmod 0755
popd

# Symlink things to their correct place
rm -rf  $RPM_BUILD_ROOT%{_datadir}/config/kdm
ln -sf ../../../etc/kde/kdm $RPM_BUILD_ROOT%{_datadir}/config/kdm

# Replace the kdm default files with symlinks to the shared {kxg}dm ones
pushd $RPM_BUILD_ROOT/etc/kde/kdm
for i in Xaccess Xservers Xsession Xwilling kdmrc; do
   ln -sf ../../X11/xdm/$i .
done
ln -fs ../../X11/xdm/Xsetup_0 Xsetup
popd

# Make symlinks relative
pushd $RPM_BUILD_ROOT/%{_docdir}/HTML/en
for i in */*/*; do
  [ -d $i -a -L $i/common ] && rm -f $i/common && ln -sf ../../../common $i/common
done
for i in */*; do
  [ -d $i -a -L $i/common ] && rm -f $i/common && ln -sf ../../common $i/common
done
for i in *; do
  [ -d $i -a -L $i/common ] && rm -f $i/common && ln -sf ../common $i/common
done
popd

%if "%{?redhatify}" != "1"
#try to get rid of all this themer stuff
## Alternative handling -- Rex
#install -D -m644 %{SOURCE1000} \
#	$RPM_BUILD_ROOT%{qtdir}/etc/settings/qtrc
#mv      $RPM_BUILD_ROOT%{qtdir}/etc/settings/qtrc \
#        $RPM_BUILD_ROOT%{qtdir}/etc/settings/qtrc.%{name}
#touch 	$RPM_BUILD_ROOT%{qtdir}/etc/settings/qtrc 


# kde default settings kdeglobals, kwinrc - Keramik
cat > $RPM_BUILD_ROOT%{_datadir}/config/kdeglobals.defaults.%{name} <<EOF
#[General]
widgetStyle=Keramik
#[KDE]
colorScheme=Keramik.kcsrc
#[Icons]
Theme=crystalsvg
EOF
cat > $RPM_BUILD_ROOT%{_datadir}/config/kwinrc.defaults.%{name} <<EOF
#[Style]
PluginLib=kwin_keramik
EOF

# For %%ghost'ing
touch $RPM_BUILD_ROOT%{_datadir}/config/{kdeglobals,kwinrc}.defaults

%endif

%{!?kde_redhatify:rm -f $RPM_BUILD_ROOT%{_datadir}/locale/l10n/*/flag.png}

# mark KDE-Only
pushd $RPM_BUILD_ROOT%{_datadir}/applications/kde
for f in *.desktop ; do
  if [ "$f" == "konqbrowser.desktop" ] ; then
    cat $f | grep -v Categories >$f.o
    echo "Categories=Qt;KDE;Network;X-KDE-More;" >>$f.o
    mv $f.o $f
  else
    echo "OnlyShowIn=KDE;" >> $f
  fi
done
popd
for f in $(find $RPM_BUILD_ROOT%{_datadir}/applnk -name "*.desktop") ; do
  echo "OnlyShowIn=KDE;" >> $f
done

# kdm misc stuff
cp -alf kdm/ChangeLog kdm.ChangeLog
rm -rf $RPM_BUILD_ROOT%{_docdir}/kdm


#rm -f $RPM_BUILD_ROOT/etc/xdg/menus/kde-settings.menu

# Own Mozilla plugin dir
mkdir -p $RPM_BUILD_ROOT%{_libdir}/mozilla/plugins

# workaround kde bug:
# http://bugs.kde.org/show_bug.cgi?id=75820
# and own /etc/fonts/Fontmap.
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/fonts/
touch $RPM_BUILD_ROOT%{_sysconfdir}/fonts/Fontmap


#%if "%{?redhatify}" == "1"
#%pre
#[ -x /usr/sbin/themer ] && /usr/sbin/themer --remove %{theme} ||:
#[ -x /usr/sbin/themer ] && /usr/sbin/themer --purge ||:
#%endif

%pre
if [ -d /usr/share/config/kdm ] && [ ! -h /usr/share/config/kdm ]; then
    mv /usr/share/config/kdm{,.old}
fi

%post
/sbin/ldconfig
%if "%{?kde_redhatify}" == "1"
## Enable "Start New Session" magic
grep "^:1" /etc/X11/xdm/Xservers >& /dev/null ||
echo ":1 local reserve /usr/X11R6/bin/X :1" >> /etc/X11/xdm/Xservers
## make kdm and KDE sessions the default, if not otherwise specified
grep "^DESKTOP=" /etc/sysconfig/desktop >& /dev/null ||
echo "DESKTOP=KDE" >> /etc/sysconfig/desktop
grep "^DISPLAYMANAGER=" /etc/sysconfig/desktop >& /dev/null ||
echo "DISPLAYMANAGER=KDE" >> /etc/sysconfig/desktop
%endif

#%if "%{redhatify}" != "1"
## themer
#/usr/sbin/themer --install %{theme} %{priority} ||:
#%endif

%postun
/sbin/ldconfig
#%if "%{redhatify}" != "1"
#if [ ! -f %{_datadir}/config/kdeglobals.defaults.%{theme} ]; then
#/usr/sbin/themer --remove %{theme} ||:
#fi
#%endif


%files
%defattr(-,root,root,-)
%doc AUTHORS README kdm.Change*
%lang(en) %doc %{_docdir}/HTML/en/*
# used/generated by kfontinst, (possibly) shared with ghostscript -- Rex
%ghost %config(missingok,noreplace) %verify(not md5 size mtime) %{_sysconfdir}/fonts/Fontmap
## gdm session
%config(noreplace) /etc/X11/gdm/Sessions/*
## gdm2/kdm(common) session
%config %{_datadir}/xsessions/*
%config(noreplace) %{_sysconfdir}/ksysguarddrc
/etc/skel/.kde
## vfolder menu support
/etc/xdg/menus/*
%dir %{_datadir}/config.kcfg
%config %{_datadir}/config.kcfg/*
%dir %{_datadir}/config
%if "%{redhatify}" == "1"
%config %{_datadir}/config/*
%else
## non-theme config files, all but {kdeglobas,kwinrc}.defaults
%config %{_datadir}/config/[a-j,l-z]*
%config %{_datadir}/config/k[a-c,e-v,x-z]*
%config %{_datadir}/config/kd[a-d,f-z]*
%config %{_datadir}/config/kde[a-f,h-z]*
%config %{_datadir}/config/kdeglobals
#config %{_datadir}/config/kw[a-h,j-z]*
%config %{_datadir}/config/kwinrc
## kde-theme
%config %{_datadir}/config/*.defaults.%{theme}
%ghost  %{_datadir}/config/*.defaults
## qt-theme
%config(noreplace) %{qtdir}/etc/settings/*rc.%{name}
%ghost  %{qtdir}/etc/settings/*rc
%endif
## fonts
#%{fontdir}/*
%dir %{_sysconfdir}/kde
%dir %{_sysconfdir}/kde/kdm
%{_sysconfdir}/kde/kdm/X*
%config(noreplace) %{_sysconfdir}/kde/kdm/backgroundrc
%{_sysconfdir}/kde/kdm/[kX]*
%config(noreplace) /etc/kderc
%config(noreplace) /etc/X11/xdm/kdmrc
%config(noreplace) /etc/pam.d/*
%dir %{_libdir}/mozilla
%dir %{_libdir}/mozilla/plugins
%{_datadir}/locale/*/entry.desktop
%{_datadir}/locale/l10n
%{_bindir}/*
%{_libdir}/*.??*
%{_libdir}/kconf_update_bin
%{_libdir}/kde3/*
%{_datadir}/applnk
%{_datadir}/applications/*
%{_datadir}/apps/*
%{_datadir}/desktop-directories
%{_datadir}/autostart/*
%{_datadir}/icons/*/*/*/*
%{_datadir}/mimelnk/*
%{_datadir}/services/*
%{_datadir}/servicetypes/*
%{_datadir}/sounds
%{_datadir}/templates
%{_datadir}/wallpapers

%files devel
%defattr(-,root,root)
%{_includedir}/kde/*


%clean 
rm -rf $RPM_BUILD_ROOT 


%changelog
* Mon Nov 15 2004 Aurox Team <aurox@aurox.org> 6:3.3.1-10.1.aur.10
- reenable pam-console patch (it adds 'session optional /lib/security/pam_console.so' to /etc/pam.d/kde)
- in %pre we must check if /usr/share/config/kdm is a "normal" directory and if so, we have to rename it (in kde>=3.2.x /usr/share/config/kdm is a symlink, and rpm is not able to create it if there's a directory with this name)
- try to reenable "Open Terminal" in RMB menu
- don't include own qtrc file (qt has got it)
- remove /etc/xdg directory (it conflicts with aurox-menus)
- Changed to 3.3
- one line added to /etc/pam.d/kde (to enable mounting)
- update klipper patch
- update menu patch
- update to KDE 3.2.3
- use console8x16 font, not the broken Monospace
- fix configuration
- remove files provided by aurox-menus
- update config (show devices, underline web links)
- add patch for console font
- hower=false
- other patch fixed
- patch for OpenTerminal fixed
- bla
- number in spec changed
- 3.2.2, half-fix font in console
- console font patch updated
- first attempt to give back the default look
- no java, really this time ;)
- don't use java, BuildRequires samba-common, instead of samba
- 3.2.1 intial build on Aurox 9.4

* Fri Oct 08 2004 Rex Dieter <rexdieter at sf.net> 6:3.3.1-1.1.kde
- respin 

* Mon Oct 04 2004 Rex Dieter <rexdieter at sf.net> 6:3.3.1-1.0.kde
- redhatify=1
- kde-redhatify=1

* Mon Oct 04 2004 Rex Dieter <rexdieter at sf.net> 6:3.3.1-0.0.kde
- 3.3.1

* Thu Sep 30 2004 Rex Dieter <rexdieter at sf.net> 6:3.3.0-7.0.kde
- sync to rawhide's 3.3.0-7

* Wed Sep 29 2004 Rex Dieter <rexdieter at sf.net> 6:3.3.0-3.2.kde
- kxkb patch (kde bug #80970)

* Mon Sep 13 2004 Rex Dieter <rexdieter at sf.net> 6:3.3.0-3.1.kde
- undo alt-f2 patch, fix in qt(and/or X) instead.

* Thu Sep 09 2004 Rex Dieter <rexdieter at sf.net> 6:3.3.0-3.0.kde
- - don't mark /etc/kde/kdm/kdmrc as %%config (only /etc/X11/xdm/kdmrc)

* Wed Sep 08 2004 Than Ngo <than@redhat.com> 6:3.3.0-3
- Fix ALT-F2 command line opens on wrong desktop bug #129698

* Sun Sep 05 2004 Than Ngo <than@redhat.com> 6:3.3.0-2
- Own mozilla plugin dir, bug #131667
- Fix hangup in kicker when user clears clipboard history fom klipper
- Fix df problem on AFS again

* Fri Sep 03 2004 Rex Dieter <rexdieter at sf.net> 6:3.3.3-1.2.kde
- Conflicts: kdeutils < 3.3 (kdepasswd was moved)

* Thu Aug 26 2004 Rex Dieter <rexdieter at sf.net> 6:3.3.0-1.1.kde
- rebuild against kdelibs-3.3.0-1.1
- tweak kde-redhat-config default prefs (kdm: no UserList, kicker size)

* Mon Aug 16 2004 Rex Dieter <rexdieter at sf.net> 6:3.3.0-1.0.kde
- 3.3.0

* Fri Jul 30 2004 Rex Dieter <rexdieter at sf.net> 6:3.2.92-0.1.kde
- cleanup 

* Thu Jul 22 2004 Rex Dieter <rexdieter at sf.net> 6:3.2.92-0.0.kde
- 3.2.92

* Mon Jul 19 2004 Than Ngo <than@redhat.com> 6:3.2.3-2
- fix wrong memory info >4GB, bug #125128
- add IM patch, bug #127996

* Mon Jul 19 2004 Rex Dieter <rexdieter at sf.net> 6:3.2.3-1.1.kde
- use 'kprinter -c' when printing from acroread

* Tue Jun 01 2004 Rex Dieter <rexdieter at sf.net> 6:3.2.3-1.0.kde
- 3.2.3

* Thu May 20 2004 Rex Dieter <rexdieter at sf.net> 6:3.2.2-6.0.kde
- rawhide sync

* Tue May 18 2004 Than Ngo <than@redhat.com> 6:3.2.2-6
- fix a bug in keyboard layout with xorg.x11, bug #121950

* Mon May 17 2004 Than Ngo <than@redhat.com> 6:3.2.2-5
- add patch to enable PIE build of kdm

* Mon May 17 2004 Rex Dieter <rexdieter af sf.net> 6:3.2.2-4.1.kde
- qclipboard/klipper fixups (kde bug #80072)

* Fri May 14 2004 Rex Dieter <rexdieter at sf.net> 6:3.2.2-4.0.kde
- sync w/rawhide's 3.2.2-4

* Thu May 13 2004 Rex Dieter <rexdieter at sf.net> 6:3.2.2-1.1.kde
- BR: samba >= 3.0 (kde bug #77128)
- BR: libraw1394-devel

* Fri Apr 30 2004 Rex Dieter <rexdieter at sf.net> 6:3.2.2-1.0.kde
- work on FC2 

* Sun Apr 25 2004 Rex Dieter <rexdieter at sf.net> 6:3.2.2-0.1
- include updated drop-shadow patch (0.7.2), though it doesn't apply
  cleanly

* Mon Apr 05 2004 Rex Dieter <rexdieter at sf.net> 6:3.2.2-0.fdr.0
- 3.2.2

* Sun Apr 04 2004 Rex Dieter <rexdieter at sf.net> 6:3.2.1-0.fdr.9
- respin

* Sun Apr 04 2004 Rex Dieter <rexdieter at sf.net> 6:3.2.1-0.fdr.8
- make themer handling more robust

* Mon Mar 29 2004 Rex Dieter <rexdieter at sf.net> 6:3.2.1-0.fdr.7
- own /etc/fonts/Fontmap, to be on the safe side (kde bug #75820)

* Tue Mar 23 2004 Rex Dieter <rexdieter at sf.net> 6:3.2.1-0.fdr.6
- remove Requires: redhat-logos (it's optional)

* Thu Mar 18 2004 Rex Dieter <rexdieter at sf.net> 6:3.2.1-0.fdr.5
- %%config(noreplace) /etc/kde/kdm/backgroundrc
- sanitize pam.d entries

* Tue Mar 16 2004 Rex Dieter <rexdieter at sf.net> 6:3.2.1-0.fdr.4
- respin

* Tue Mar 16 2004 Rex Dieter <rexdieter at sf.net> 6:3.2.1-0.fdr.3
- %%config(noreplace) /etc/X11/xdm/kdmrc
- kcmnspluginrc: remove netscape references, update for mozilla-1.6.

* Thu Mar 11 2004 Rex Dieter <rexdieter at sf.net> 6:3.2.1-0.fdr.2
- Requires: qt >= 3.3

* Wed Mar 10 2004 Rex Dieter <rexdieter at sf.net> 6:3.2.1-0.fdr.1
- sync to rh's kdebase-3.2.1-0.1
- tweak kdmrc for remote logins (kde bug #77203)
- Requires: qt >= 3.3.1

* Mon Mar 01 2004 Rex Dieter <rexdieter at sf.net> 6:3.2.1-0.fdr.0
- 3.2.1
- Requires: qt >= 3.3
- kappfinder no longer requires root-level access, remove 
  console-helper bits

* Thu Feb 26 2004 Rex Dieter <rexdieter at sf.net> 6:3.2.0-0.fdr.5
- updated redhat/kicker patches from rawhide's 3.2.0-1.8
- use java-1.4.2 compiler for java bits

* Thu Feb 19 2004 Rex Dieter <rexdieter at sf.net> 6:3.2.0-0.fdr.4
- sync to rawhide's 3.2.0-1.7 
- fix password-less logins
- use kdm and KDE sessions by default, if not previously 
  (and explictly) configured otherwise.

* Tue Feb 17 2004 Rex Dieter <rexdieter at sf.net> 6:3.2.0-0.fdr.3
- fix gdm/kdm KDE/GNOME session types.

* Fri Feb 13 2004 Rex Dieter <rexdieter at sf.net> 6:3.2.0-0.fdr.2
- drop drop-shadows for now, too buggy (pun intented)
- Prereq: themer

* Mon Feb 09 2004 Rex Dieter <rexdieter at sf.net> 6:3.2.0-0.fdr.1
- include drop-shadow patch from kde-look.

* Tue Jan 27 2004 Rex Dieter <rexdieter at sf.net> 6:3.2.0-0.fdr.0
- 3.2.0

* Thu Jan 22 2004 Rex Dieter <rexdieter at sf.net> 6:3.1.95-0.fdr.1
- unpackaged files
- BuildRequires: jasper

* Mon Jan 19 2004 Rex Dieter <rexdieter at sf.net> 6:3.1.95-0.fdr.0
- 3.1.95

* Wed Jan 14 2004 Rex Dieter <rexdieter at sf.net> 6:3.1.94-0.fdr.2
- fixup qt-theme

* Thu Dec 16 2003 Rex Dieter <rexdieter at sf.net> 6:3.1.94-0.fdr.1
- restore/fix ksplash screen
- sync in recent mods from kde-redhat-config-3.1

* Fri Dec 12 2003 Rex Dieter <rexdieter at sf.net> 6:3.1.94-0.fdr.0
- 3.1.94

* Mon Nov 10 2003 Rex Dieter <rexdieter at sf.net> 6:3.1.4-0.fdr.2
- rebuild against qt-3.2.2

* Tue Oct 21 2003 Rex Dieter <rexdieter at sf.net> 6:3.1.4-0.fdr.1
- sync to rawhide's 3.1.4-4

* Tue Oct 14 2003 Than Ngo <than@redhat.com> 6:3.1.4-4
- add patch to allow different icon size in kicker menu
- don't reset icon size to 20x20 if it's greater than 20

* Fri Oct 10 2003 Than Ngo <than@redhat.com> 6:3.1.4-3
- add patch files from Hans de Goede, (bug #63473, #80650, #80651)

* Tue Oct 07 2003 Than Ngo <than@redhat.com> 6:3.1.4-2
- install kde.desktop in /usr/share/xsession
- add more translations for kde.desktop (stolen from kde 3.2 cvs)

* Sat Sep 13 2003 Rex Dieter <rexdieter at sf.net> 6:3.1.4-0.fdr.0
- 3.1.4

* Mon Sep 08 2003 Rex Dieter <rexdieter at sf.net> 6:3.1.3-0.fdr.6
- patch for kdm security advisory: 
  http://www.kde.org/info/security/advisory-20030915-1.txt

* Tue Sep 02 2003 Rex Dieter <rexdieter at sf.net> 6:3.1.3-0.fdr.5
- fix %%qtdir macro again.
- own %%ghost'd kdeglobals.defaults,kwinrc.defaults

* Sat Aug 30 2003 Rex Dieter <rexdieter at sf.net> 6:3.1.3-0.fdr.4
- fix missing %%qtdir macro 

* Wed Aug 27 2003 Rex Dieter <rexdieter at sf.net> 6:3.1.3-0.fdr.3
- (re)enable ksysguardd (kde-redhat bug #793051)
- update to java-1.4.2
- include drop-shadows patch:
  http://www.kde-look.org/content/show.php?content=4750

* Sat Aug 23 2003 Rex Dieter <rexdieter at sf.net> 6:3.1.3-0.fdr.2
- use themer tool.
- own alternatives
- default to Taskbar launch feedback = true.

* Thu Jul 31 2003 Rex Dieter <rexdieter at sf.net> 6:3.1.3-0.fdr.1
- (default) theme handling: simplify, handle upgrades better.

* Thu Jul 24 2003 Rex Dieter <rexdieter at sf.net> 6:3.1.3-0.fdr.0
- 3.1.3
- use style/theme alternatives: qt-theme, kde-theme.
- nsplugin: follow redhat's lead and use openmotif in favor of lesstif
- sync to redhat's kdebase-3.1.2-0.9x.3

* Mon Jul 14 2003 Rex Dieter <rexdieter at sf.net> 6:3.1.2-0.fdr.6
- rebuild to avoid linkage to rawhide's libsmbclient.so 

* Fri Jul 11 2003 Rex Dieter <rexdieter at sf.net> 6:3.1.2-0.fdr.5
- %%lang'ify HTML docs.

* Mon Jun 30 2003 Rex Dieter <rexdieter at sf.net> 6:3.1.2-0.fdr.4
- cleanup usermode/consolehelper code (for kappfinder).
- update to jpackage's latest java package names, j2se1.4-devel ->
  java-1.4.1-devel (it simplifies things a *bunch*)
- sync to rawhide's 3.1.2-8 (and vfolder-0.1.2).

* Wed Jun 11 2003 Rex Dieter <rexdieter at sf.net> 6:3.1.2-0.fdr.3
- Conflicts: kxmlrpcd < 7:3.1

* Thu May 22 2003 Rex Dieter <rexdieter at sf.net> 6:3.1.2-0.fdr.1
- kdebase-3.1.2-kprinter.patch (kde bug #53556)

* Thu May 15 2003 Rex Dieter <rexdieter at sf.net> 6:3.1.2-0.fdr.0
- 3.1.2
- fedora-style versioning
- add cvs tags to specfile.
- xrandr support (rh9 only)

* Fri May 2 2003 Rex Dieter <rexdieter at sf.net> 3.1.1a-1.3
- sync to kde.org's kdebase-3.1.1-0.8x.3

* Mon Apr 28 2003 Rex Dieter <rexdieter at sf.net> 3.1.1a-1.2
- make kdm *not* require root password for shutdown.
- include fix if using autoconf257.

* Tue Apr 22 2003 Rex Dieter <rexdieter at sf.net> 3.1.1a-1.1
- tweak gccver(sioning). 

* Tue Apr 15 2003 Rex Dieter <rexdieter at sf.net> 3.1.1a-1.0
- rebuild for release.

* Thu Apr 10 2003 Rex Dieter <rexdieter at sf.net> 3.1.1a-0.0
- 3.1.1a security release.

* Tue Apr 08 2003 Rex Dieter <rexdieter at sf.net> 3.1.1-0.8
- kdm: undo AllowShutdown=Root default.
- handle redhat-artwork=0 case better.
- Conflicts: kdeutils-laptop < 3.1

* Fri Apr 04 2003 Rex Dieter <rexdieter at sf.net> 3.1.1-0.7
- patch for kde bug #47814.

* Wed Apr 02 2003 Rex Dieter <rexdieter at sf.net> 3.1.1-0.6
- kdmrc: Use slightly smaller fonts in kdm.

* Tue Apr 01 2003 Rex Dieter <rexdieter at sf.net> 3.1.1-0.5
- %%postun alternatives fixes

* Mon Mar 31 2003 Rex Dieter <rexdieter at sf.net> 3.1.1-0.4
- more kappfinder fixes.

* Sun Mar 30 2003 Rex Dieter <rexdieter at sf.net> 3.1.1-0.3
- (re)enable kappfinder.

* Sat Mar 29 2003 Rex Dieter <rexdieter at sf.net> 3.1.1-0.2
- remove all references to desktop-create-kmenu
  (it's in kdelibs now)

* Mon Mar 24 2003 Rex Dieter <rexdieter at sf.net> 3.1.1-0.1
- adjust style/theme priorities to give prefernce to bluecurve (again).

* Thu Mar 20 2003 Rex Dieter <rexdieter at sf.net> 3.1.1-0.0
- 3.1.1 release

* Wed Mar 19 2003 Than Ngo <than@redhat.com> 6:3.1.1-0.8x.1
- 3.1.1 release
- get rid of some patch files, which are now in new upstream
- adjust some patch files for 3.1.1
- permission fix
- get rid of unneeded pam config file of kscreensaver
- move desktop-create-menu to kdelib

* Wed Mar 19 2003 Rex Dieter <rexdieter at sf.net> 3.1-9.6
- make alternatives handling more robust.
- first stab at fixing multiple sessions per user (kde bug #40153)
- Try to fix lan:// redirections (at least until kdebase-3.1.1
  is released) (kde bugs #53202, #54043)
  
* Tue Mar 18 2003 Rex Dieter <rexdieter at sf.net> 3.1-9.5
- Oops, didn't use the new kdeglobals/kwinrc files.

* Fri Mar 14 2003 Rex Dieter <rexdieter at sf.net> 3.1-9.4
- %%post: modify /etc/X11/xdm/Xservers to enable "Start New 
  Session" magic.
- use alternatives to determine default kde/qt default styles,
  with priority 30.

* Fri Mar 07 2003 Rex Dieter <rexdieter at sf.net> 3.1-9.3
- remove redhat-artwork Require'ment.

* Mon Mar 03 2003 Rex Dieter <rexdieter at sf.net> 3.1-9.2
- work on nuking gccver(sioning) (kde-redhat rfe #696544).

* Tue Feb 25 2003 Rex Dieter <rexdieter at sf.net> 3.1-9.1
- fix --without java option (kde-redhat bug #693269)

* Mon Feb 24 2003 Rex Dieter <rexdieter at sf.net> 3.1-9.0
- sync to rawhide 3.1-9
- don't use non-existent pam_timestamp on rh73 (kde-redhat bug #692428)
- fix startkde ordering problem (kde-redhat bug #692400)
- fix KDE Random Screensaver (kde-redhat bug #692391)

* Sat Feb 22 2003 Than Ngo <than@redhat.com> 6:3.1-9
- set default start page to red hat welcome page (#84858)
- add fix for KDE Random Screensaver (#83671)

* Thu Feb 20 2003 Than Ngo <than@redhat.com> 6:3.1-8
- don't show empty folder, #84029

* Thu Feb 20 2003 Rex Dieter <rexdieter at sf.net> 3.1-7.0
- sync to rawhide's 3.1-7
- use epochs in Obsoletes/Provides/Requires.

* Thu Feb 13 2003 Thomas Woerner <twoerner@redhat.com> 6:3.1-7
- fixed arts bug #82750, requires rebuild of kdebase

* Mon Feb 10 2003 Rex Dieter <rexdieter at sf.net> 3.1-1.2
- rebuild against lessitf, *not* openmotif. (sorry).

* Sat Feb  8 2003 Than Ngo <than@redhat.com> 6:3.1-6
- i18n issue in kio-vfolder

* Thu Feb  6 2003 Than Ngo <than@redhat.com> 6:3.1-5
- fix scanpath mozilla plugin, #83618
- add a patch file from Leon Ho llch@redhat.com,  #82529
- add some missing KDE screensavers, bug #83671

* Tue Feb  4 2003 Than Ngo <than@redhat.com> 6:3.1-4
- rhn-applet/pam-panel-icon/eggcups applet start correct now, #83264
- set NFSPollInterval=5000, PollInterval=500

* Tue Feb  4 2003 Thomas Woerner <twoerner@redhat.com> 6:3.1-3
- fixed panel button resize probem

* Mon Feb 03 2003 Rex Dieter <rexdieter at sf.net> 3.1-1.1
- kde-redhat versioning
- make use of java conditional. (rpmbuild --without java)
- handle bitmap fonts in both rh7/rh8
- handle kde-config in both rh7/rh8
- move Requires: cdparanoia to kdemultimedia
- remove Requires: xpdf , it doesn't need to be mandatory.

* Fri Jan 31 2003 Than Ngo <than@redhat.com> 6:3.1-2
- fix wrong Catagory, bug #82441
- fix mouse focus, bug #82675

* Tue Jan 28 2003 Rex Dieter <rexdieter at sf.net> 3.1-1
- 3.1 release.

* Wed Jan 15 2003 Rex Dieter <rexdieter at sf.net> 3.1.0.rc6.1
- -devel: Requires: kdelibs -> Requires: kdelibs-devel
- klipper patch to fix http://bugs.kde.org/show_bug.cgi?id=52651
- sync to rawhide's 3.1-0.14

* Mon Jan 13 2003 Karsten Hopp <karsten@redhat.de> 3.1-0.14
- Missing epoch in requires

* Mon Jan 13 2003 Thomas Woerner <twoerner@redhat.com> 3.1-0.13
- rc6
- exclude ia64
- ssl uses krb5
- size_t check

* Mon Jan 06 2003 Rex Dieter <rexdieter at sf.net> 3.1-0.rc6.0
- 3.1rc6

* Mon Jan  6 2003 Nalin Dahyabhai <nalin@redhat.com> 3.1-0.12
- add openssl-devel as a buildreq
- add pkgconfig as a buildreq
- if pkgconfig admits to knowing about openssl, incorporate its information

* Sun Dec 29 2002 Than Ngo <than@redhat.com> 3.1-0.11
- fix bug #80307

* Tue Dec 17 2002 Than Ngo <than@redhat.com> 3.1-0.10
- remove unneeded files

* Mon Dec 16 2002 Than Ngo <than@redhat.com> 3.1-0.9
- rebuild
- Fix wrong Start Here Url (bug #78178)
- build with -O0 on alpha temporary (compiler bug)

* Sun Dec 15 2002 Than Ngo <than@redhat.com> 3.1-0.8
- Add missing desktop files
- requires redhat-menus-0.30

* Sun Dec  8 2002 Than Ngo <than@redhat.com> 3.1-0.7
- remove unneeded patch file
- fix dependency issue

* Sat Dec 07 2002 Rex Dieter <rexdieter at sf.net> 3.1-0.rc5.0
- 3.1rc5
- move gccver step to before %%configure instead of after.
  (I wish to get rid of that gccver crap altogether).

* Thu Dec  5 2002 Than Ngo <than@redhat.com> 3.1-0.6
- clean up KDE menu/kcontrol center menu
- fix build problem on s390/s390x
- eggcups to kdebase default session (Tim Waugh)
- rpm macros (Mike Harris)

* Wed Dec 04 2002 Rex Dieter <rexdieter at sf.net> 3.0.99-1
- 3.0.99 (rc3)
- gut a bunch of patches (for now).
- Obsoletes/Provides: kio_fish
- kdm: show redhat background logo by default (set UseBackground
  default to false).

* Wed Dec  4 2002 Than Ngo <than@redhat.com> 3.1-0.5
- move 9x15 fix font to bitmaps font package
- bug fix in kinfo center
- add new catagories

* Sun Dec  1 2002 Than Ngo <than@redhat.com> 3.1-0.4
- bug fixes kcontrol center/file browsing/Look&Feel
- add RH kdm default configuration

* Wed Nov 27 2002 Than Ngo <than@redhat.com> 3.1-0.3
- adjust 2 patch files again
- add correct option in configure
- use %%configure

